Bug 729952 - Vodafone k3805-z requires "ifconfig usb0 -arp" prior to connecting to achieve connectivity
Vodafone k3805-z requires "ifconfig usb0 -arp" prior to connecting to achieve...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-11 07:38 EDT by Pedro Francisco
Modified: 2013-01-31 07:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-31 07:46:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 764003 None None None Never

  None (edit)
Description Pedro Francisco 2011-08-11 07:38:45 EDT
Description of problem:
Vodafone k3805-z requires "ifconfig usb0 -arp" prior to connecting to achieve connectivity

Version-Release number of selected component (if applicable):
0.4.998 - 1.git20110706.fc15

How reproducible:
Always.

Steps to Reproduce:
1. plug usb modem and workaround whatever needed to connect (#697122)
2. try to ping/access some site
  
Actual results:
Nothing happens (Wireshark shows ARP requests being sent to every IP one tries to connect with)

Expected results:
Ping should be successful.

Additional info:
$ route -n [with or without NOARP]
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         0.0.0.0         0.0.0.0         U     0      0        0 usb0

Also, the driver on Windows 7 has an option which says "Enable promiscuous mode" (?on a 3G pen?) which, after enabled, results on the same behavior as if one does "ifconfig usb0 arp" on Linux.
Comment 1 Karl Fischer 2011-08-22 03:18:41 EDT
I can confirm this bug, with this hardware.

The "ifconfig usb0 -arp" workaround works.
Comment 2 Dan Williams 2012-07-20 18:44:18 EDT
Huh, quite odd.  Probably something we should do for all 3G devices that provide eth ports, since they are all acutally point-to-point underneath.  I have just bought a K3805z off ebay that I can use to test this out when it arrives.
Comment 3 Pedro Francisco 2012-07-21 04:14:35 EDT
@Dan Williams : Hello! Just to point out you will also find bug #745454 if using Gnome-Shell ;)

Also, I don't know if all devices are affected. Looking at https://github.com/andrewbird/wader/blob/master/resources/udev/99-wader-quirks.rules you can see a relatively small list of quirks.

(that URL is the temporary Git repo of Vodafone's https://forge.betavine.net/projects/bcm (which curiously is hidden from public project list), as the result of the migration off SVN https://forge.betavine.net/forum/forum.php?forum_id=245 )
Comment 4 Fedora End Of Life 2013-01-16 08:06:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Pedro Francisco 2013-01-31 07:46:11 EST
At least on Fedora 18, the device is now recognized as "wwan0" and no longer requires ifconfig INTERFACE_NAME -arp .

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.